import { BlockPermutation } from "@minecraft/server";
export const apiState = new class apiState {
    get(block, id) {
        return block.permutation.getState(id);
    }
    getAll(block) {
        return block.permutation.getAllStates();
    }
    set(block, id, value) {
        const states = this.getAll(block);
        states[id] = value;
        block.setPermutation(BlockPermutation.resolve(block.typeId, states));
    }
};
