export const apiConfig = new class apiConfig {
    get(player) {
        const config = player.getDynamicProperty("veinminer:config_info");
        if (typeof config != "string")
            return defaultConfig;
        return JSON.parse(config);
    }
    set(player, config) {
        player.setDynamicProperty("veinminer:config_info", JSON.stringify(config));
    }
};
export const defaultConfig = {
    showSelection: false,
    functionType: "all",
    maxSize: 64,
    quick: false
};
