import { world } from "@minecraft/server"

export const apiNumbers = new class apiNumbers {
  clamp(value: number, min: number, max: number): number { return Math.min(Math.max(value, min), max) }

  random(range: number | {min: number, max: number}): number {
    if(typeof range == "number") return Math.random() * range
    return Math.random() * (range.max - range.min +1) + range.min
  }

  distance(num1: number, num2: number): number { return Math.sqrt((num1 - num2) ** 2 + (num1 - num2) ** 2) }
}